%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-openstack_extras
Version:        9.5.0
Release:        2%{?dist}
Summary:        Puppet OpenStack Extras Module
License:        Apache-2.0

URL:            https://launchpad.net/puppet-openstack-extras

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Added-OS_AUTH_TYPE-parameter-to-auth-file.patch
Patch0002: 0002-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0003: 0003-Switch-to-Zuul-v3-testing.patch
Patch0004: 0004-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-corosync
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet OpenStack Extras Module

%prep
%setup -q -n openstack-openstack_extras-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/openstack_extras/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/openstack_extras/



%files
%{_datadir}/openstack-puppet/modules/openstack_extras/


%changelog
* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.5.0-2
- Run puppet-openstack-beaker-jobs
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build
- Added OS_AUTH_TYPE parameter to auth file

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422156)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-3
- Remove priority for non-delorean RDO repos

* Fri Oct 14 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- repos: configure RDO Virtualization repository

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


